{
  "config": {
    "platform-check": false,
    "allow-plugins": {
      "composer/package-versions-deprecated": true
    }
  },
  "autoload": {
    "psr-4": {
      "Public\\": "public/",
      "App\\": "app/",
      "Tests\\": "tests/"
    }
  },
  "require": {
    "php-di/php-di": "6.4.0",
    "james.rus52/tinkoffinvest": "1.2.3",
    "slim/psr7": "1.6.0",
    "nyholm/psr7": "1.5.1",
    "nyholm/psr7-server": "1.0.2",
    "slim/slim": "4.11.0",
    "guzzlehttp/psr7": "2.4.3",
    "http-interop/http-factory-guzzle": "1.2.0",
    "doctrine/collections": "2.1.2",
    "doctrine/orm": "2.14.0",
    "symfony/cache": "v6.2.4",
    "guzzlehttp/guzzle": "7.5.0",
    "firebase/php-jwt": "v6.3.2",
    "monolog/monolog": "3.2.0",
    "symfony/polyfill-uuid": "v1.27.0",
    "opis/json-schema": "2.3.0",
    "php-amqplib/php-amqplib": "v3.4.0",
    "a.treschilov/tinkoff-invest-api-sdk": "v0.2.9",
    "doctrine/annotations": "2.0.0",
    "phpoffice/phpspreadsheet": "1.26.0"
  },
  "require-dev": {
    "phpunit/phpunit": "9.5.27",
    "squizlabs/php_codesniffer": "3.7.1",
    "smgladkovskiy/phpcs-git-pre-commit": "dev-master"
  },
  "scripts": {
    "phpcs": "phpcs",
    "phpcbf": "phpcbf",
    "install-hooks": ["sh ./vendor/smgladkovskiy/phpcs-git-pre-commit/src/setup.sh"],
    "post-install-cmd": ["@install-hooks"],
    "post-update-cmd": ["@install-hooks"]
  }
}
